<?php

namespace Drupal\harmonize\Harmonizer\EntityHarmonizer\EntityFieldHarmonizer;

use Drupal\harmonize\Service\Harmonize;

/**
 * Handles exceptions for 'boolean' type fields.
 *
 * @property Harmonize $harmonizeService
 *
 * @package Drupal\harmonize\Harmonizer\EntityHarmonizer\EntityFieldHarmonizer
 */
class BooleanEntityFieldHarmonizer extends EntityFieldHarmonizer {

  /**
   * {@inheritdoc}
   */
  protected function process(array $value, int $i) {
    // If the value is set, we want to return true.
    if ($value['value']) {
      return TRUE;
    }

    // Otherwise, we simply return false.
    return FALSE;
  }

}
